a300_[pfp|pm4].fw clashes when installing linux-firmware

Bug #1728908 reported by Paolo Pisati on 2017-10-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Medium
Seth Forshee
Xenial
Medium
Seth Forshee
Artful
Medium
Seth Forshee
linux-firmware-snapdragon (Ubuntu)
Medium
Paolo Pisati
Xenial
Medium
Paolo Pisati
Artful
Medium
Paolo Pisati

Bug Description

[Impact]

Starting with linux-firmware 1.157.13, two files (a300_[pfp|pm4].fw) that were previously part of linux-firmware-snapdragon 1.2-0ubuntu1, are now integrated in the linux-firmware package itself, resulting in a file clash when these two packages are installed together:

..
Selecting previously unselected package linux-firmware-snapdragon.
Preparing to unpack .../linux-firmware-snapdragon_1.2-0ubuntu1_arm64.deb ...
Unpacking linux-firmware-snapdragon (1.2-0ubuntu1) ...
dpkg: error processing archive
/var/cache/apt/archives/linux-firmware-snapdragon_1.2-0ubuntu1_arm64.deb
(--unpack):
 trying to overwrite '/lib/firmware/a300_pm4.fw', which is also in
package linux-firmware 1.157.13
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Selecting previously unselected package linux-image-snapdragon.
Preparing to unpack .../linux-image-snapdragon_4.4.0.1077.69_arm64.deb ...
Unpacking linux-image-snapdragon (4.4.0.1077.69) ...
Errors were encountered while processing:
 /var/cache/apt/archives/linux-firmware-snapdragon_1.2-0ubuntu1_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
make: *** [all] Error 100
...

This problem is particularly evident when a new snapdragon kernel snap is assembled, since the the building process breaks (and no kernel snap is generated):

https://launchpadlibrarian.net/343287945/buildlog_snap_ubuntu_xenial_arm64_snapdragon-kernel-test_BUILDING.txt.gz

To fix the problem i removed the two files from linux-firmware-snapdragon 1.3-0ubuntu1 and pushed this new version to my ppa:

https://launchpad.net/~p-pisati/+archive/ubuntu/embedded/+packages
linux-firmware-snapdragon - 1.3-0ubuntu1

[Test case]

Try to build a snapdragon kernel snap using Xenial/updates - with linux-firmware 1.157.13 and linux-firmware-snapdragon 1.2-0ubuntu1 it won't complete, while with linux-firmware-snapdragon 1.3-0ubuntu1 it will successfully complete.

[Regression risk]

The files imported in linux-firmware are the same files we
shipped in linux-firmware-snapdragon:

$ md5sum /lib/firmware/qcom/a300_pfp.fw
25aa81977303142bdc4490efad16138b /lib/firmware/qcom/a300_pfp.fw
$ md5sum /lib/firmware/qcom/a300_pm4.fw
d657cacd951742d9bbbe74224347cffe /lib/firmware/qcom/a300_pm4.fw

$ md5sum dragon410c-firmware.orig/lib/a300_pfp.fw
25aa81977303142bdc4490efad16138b dragon410c-firmware.orig/lib/a300_pfp.fw
$ md5sum dragon410c-firmware.orig/lib/a300_pm4.fw
d657cacd951742d9bbbe74224347cffe dragon410c-firmware.orig/lib/a300_pm4.fw

so the regression risk is very low.

CVE References

Seth Forshee (sforshee) on 2017-11-15
Changed in linux-firmware (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware (Ubuntu Artful):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware-snapdragon (Ubuntu):
assignee: nobody → Paolo Pisati (p-pisati)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware-snapdragon (Ubuntu Xenial):
assignee: nobody → Paolo Pisati (p-pisati)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware-snapdragon (Ubuntu Artful):
assignee: nobody → Paolo Pisati (p-pisati)
importance: Undecided → Medium
status: New → In Progress
Seth Forshee (sforshee) wrote :

What we have is scenario #9 from https://wiki.debian.org/PackageTransition, which means linux-firmware-snapdragon needs a "Breaks: linux-firmware (<= ...)" and linux-firmware needs "Breaks: linux-firmware-snapdragon (<= ...) Replaces: linux-firmware-snapdragon (<= ...)".

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware-snapdragon - 1.3-0ubuntu3

---------------
linux-firmware-snapdragon (1.3-0ubuntu3) bionic; urgency=low

  * Remove a300_[pfp|mp4].fw since they are now part of linux-firmware
    (>=1.157.13) (LP: #1728908)

 -- Paolo Pisati <email address hidden> Mon, 30 Oct 2017 11:37:07 +0100

Changed in linux-firmware-snapdragon (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.170

---------------
linux-firmware (1.170) bionic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    bf04291309d3169c0ad3b8db52564235bbd08e30
    - cxgb4: update firmware to revision 1.16.63.0
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00051-QCARMSWP-1
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - Revert "ath10k: QCA988X hw2.0: update firmware to 10.2.4.70.63-2"
    - WHENCE: Fix syntax error for iwlwifi-8265-31.ucode entry
    - WHENCE: Add new radeon firmware
    - WHENCE: Add new qed firmware

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

  * a300_[pfp|pm4].fw clashes when installing linux-firmware (LP: #1728908)
    - Add linux-firmware-snapdragon to Breaks: and Replaces:

 -- Seth Forshee <email address hidden> Wed, 15 Nov 2017 15:04:50 -0600

Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Released
Seth Forshee (sforshee) on 2017-11-17
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Artful):
status: In Progress → Fix Committed

Hello Paolo, or anyone else affected,

Accepted linux-firmware into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.169.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in linux-firmware-snapdragon (Ubuntu Artful):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Paolo, or anyone else affected,

Accepted linux-firmware-snapdragon into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware-snapdragon/1.3-0ubuntu3~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Paolo, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in linux-firmware-snapdragon (Ubuntu Xenial):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Paolo, or anyone else affected,

Accepted linux-firmware-snapdragon into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware-snapdragon/1.3-0ubuntu3~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Paolo Pisati (p-pisati) wrote :

Looks good!

ubuntu@dragon410c:~$ dpkg -l | grep linux-firmware
ii linux-firmware 1.157.14 all Firmware for Linux kernel drivers
ii linux-firmware-snapdragon 1.3-0ubuntu3~16.04.1 arm64 DragonBoard410c wifi firmware

ubuntu@dragon410c:~$ apt-cache policy linux-firmware
linux-firmware:
  Installed: 1.157.14
  Candidate: 1.157.14
  Version table:
 *** 1.157.14 500
        500 http://ports.ubuntu.com xenial-proposed/main arm64 Packages
        100 /var/lib/dpkg/status
     1.157.13 500
        500 http://ports.ubuntu.com xenial-updates/main arm64 Packages
        500 http://ports.ubuntu.com xenial-security/main arm64 Packages
     1.157 500
        500 http://ports.ubuntu.com xenial/main arm64 Packages

ubuntu@dragon410c:~$ apt-cache policy linux-firmware-snapdragon
linux-firmware-snapdragon:
  Installed: 1.3-0ubuntu3~16.04.1
  Candidate: 1.3-0ubuntu3~16.04.1
  Version table:
 *** 1.3-0ubuntu3~16.04.1 500
        500 http://ports.ubuntu.com xenial-proposed/multiverse arm64 Packages
        100 /var/lib/dpkg/status
ubuntu@dragon410c:~$

tags: added: verification-done-xenial
Paolo Pisati (p-pisati) wrote :

Good in artful too.

ubuntu@dragon410c:~$ dpkg -l | grep firmware
ii linux-firmware 1.169.1 all Firmware for Linux kernel drivers
ii linux-firmware-snapdragon 1.3-0ubuntu3~17.10.1 arm64 DragonBoard410c wifi firmware
ubuntu@dragon410c:~$ apt-cache policy linux-firmware
linux-firmware:
  Installed: 1.169.1
  Candidate: 1.169.1
  Version table:
 *** 1.169.1 500
        500 http://ports.ubuntu.com artful-proposed/main arm64 Packages
        100 /var/lib/dpkg/status
     1.169 500
        500 http://ports.ubuntu.com artful/main arm64 Packages
ubuntu@dragon410c:~$ apt-cache policy linux-firmware-snapdragon
linux-firmware-snapdragon:
  Installed: 1.3-0ubuntu3~17.10.1
  Candidate: 1.3-0ubuntu3~17.10.1
  Version table:
 *** 1.3-0ubuntu3~17.10.1 990
        500 http://ports.ubuntu.com artful-proposed/multiverse arm64 Packages
        100 /var/lib/dpkg/status

tags: added: verification-done-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.169.1

---------------
linux-firmware (1.169.1) artful; urgency=medium

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

  * a300_[pfp|pm4].fw clashes when installing linux-firmware (LP: #1728908)
    - Add linux-firmware-snapdragon to Breaks: and Replaces:

 -- Seth Forshee <email address hidden> Wed, 15 Nov 2017 15:47:00 -0600

Changed in linux-firmware (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware-snapdragon - 1.3-0ubuntu3~17.10.1

---------------
linux-firmware-snapdragon (1.3-0ubuntu3~17.10.1) artful; urgency=low

  * Remove a300_[pfp|mp4].fw since they are now part of linux-firmware
    (>=1.157.13) (LP: #1728908)

 -- Paolo Pisati <email address hidden> Mon, 30 Oct 2017 11:37:07 +0100

Changed in linux-firmware-snapdragon (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.14

---------------
linux-firmware (1.157.14) xenial; urgency=medium

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

  * a300_[pfp|pm4].fw clashes when installing linux-firmware (LP: #1728908)
    - Add linux-firmware-snapdragon to Breaks: and Replaces:

 -- Seth Forshee <email address hidden> Wed, 15 Nov 2017 15:58:14 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware-snapdragon - 1.3-0ubuntu3~16.04.1

---------------
linux-firmware-snapdragon (1.3-0ubuntu3~16.04.1) xenial; urgency=low

  * Remove a300_[pfp|mp4].fw since they are now part of linux-firmware
    (>=1.157.13) (LP: #1728908)

 -- Paolo Pisati <email address hidden> Mon, 30 Oct 2017 11:37:07 +0100

Changed in linux-firmware-snapdragon (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers